//go:generate go mod vendor
//go:generate protoc --go_out=. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative --proto_path=. --proto_path=vendor/gitlab.mashroom.com/mashroom/backend mashroom_offer.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mockoffer -destination=mock/client.go . OfferServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package offer - api definition
package offer // import "gitlab.mashroom.com/mashroom/backend/offer/api"

import (
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic"       // required vendor
	_ "gitlab.mashroom.com/mashroom/backend/common/api/generic/query" // required vendor
	_ "gitlab.mashroom.com/mashroom/backend/extras/api"               // required vendor

	_ "github.com/golang/mock/mockgen/model"
)

// Percent for a rent plan
func (x RentPlan) Percent() float64 {
	switch x {
	case RentPlan_RENT_PLAN_ESSENTIAL:
		return 2
	case RentPlan_RENT_PLAN_SECURED:
		return 5
	}

	return 0
}
