package impl

import (
	"testing"

	"github.com/stretchr/testify/require"
	offer "gitlab.mashroom.com/mashroom/backend/offer/api"
)

func TestInferRisk_ok(t *testing.T) {
	cases := map[string]offer.TenantRisk{
		"":       offer.TenantRisk_PENDING_RISK,
		"Low":    offer.TenantRisk_LOW_RISK,
		"medium": offer.TenantRisk_MEDIUM_RISK,
		"High":   offer.TenantRisk_HIGH_RISK,
	}

	for k, v := range cases {
		require.Equal(t, v, inferRisk(k))
	}
}
