package impl

import "gitlab.mashroom.com/mashroom/backend/common/api/grpcerr"

// Generic package error
var (
	ErrSign              = grpcerr.New(grpcerr.ProviderError, "signature error")
	ErrNoUser            = grpcerr.New(grpcerr.InvalidData, "user not found in list of tenants")
	ErrUnknownUser       = grpcerr.New(grpcerr.InvalidData, "unknown user")
	ErrNoView            = grpcerr.New(grpcerr.InvalidData, "viewing id not found")
	ErrNoProperty        = grpcerr.New(grpcerr.InvalidData, "property not found")
	ErrNoTenancy         = grpcerr.New(grpcerr.InvalidData, "tenancy not found")
	ErrNoAccessStatus    = grpcerr.New(grpcerr.AuthError, "no access on current offer status")
	ErrNoSchedulePayment = grpcerr.New(grpcerr.InvalidState, "schedule payment not found")
	ErrCantSkipChecks    = grpcerr.New(
		grpcerr.InvalidState, "can't skip checks if deposit replacement selected",
	)
	ErrPropRentedOrOffered   = grpcerr.New(grpcerr.InvalidState, "property rented or in the offering status")
	ErrHaveActiveOffer       = grpcerr.New(grpcerr.InvalidState, "you already have active offer on this property")
	ErrPropInAwaitingDeposit = grpcerr.New(
		grpcerr.InvalidState, "landlord accepted other offer and in awaiting deposit payment",
	)
	ErrTenantsRequired = grpcerr.New(
		grpcerr.InvalidData, "you should select tenant/tenants for the referencing checks",
	)
	ErrAddGuarantorTenantsRequired = grpcerr.New(
		grpcerr.InvalidData, "no matching tenants were found for the request to add a guarantor",
	)
	ErrPaymentExists       = grpcerr.New(grpcerr.InvalidState, "payment exists")
	ErrDRPAlreadyBeenSetup = grpcerr.New(grpcerr.InvalidState, "DRP already been setup")
	ErrAdvanceLimit        = grpcerr.New(grpcerr.InvalidState, "can only request advance for up to three months")
	ErrAdvanceUnavailable  = grpcerr.New(grpcerr.InvalidState, "advance unavailable for selected period")
	ErrAdvancePaid         = grpcerr.New(grpcerr.InvalidState, "can only do for unpaid payment")
	ErrAdvanceActive       = grpcerr.New(grpcerr.InvalidState, "can not request advance twice")
	ErrAdvanceInactive     = grpcerr.New(grpcerr.InvalidState, "can only cancel requested, but not granted advance")
	ErrPhoneNotVerified    = grpcerr.New(grpcerr.InvalidData, "phone not verified")
)
