package impl

import (
	"reflect"
	"testing"

	"gitlab.mashroom.com/mashroom/backend/common/generic/util"
	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
	"gitlab.mashroom.com/mashroom/backend/offer/model"
)

func M3(a, b interface{}) []interface{} {
	return []interface{}{a, b}
}

func TestGetMonthlyPayment(t *testing.T) {
	cases := map[string]struct {
		model model.OfferConditionsModel
		want  []interface{}
	}{
		"1300 rent": {
			model: model.OfferConditionsModel{
				Price: util.PtrFloat64(1300.0),
			},
			want: M3(300.0, 60.0),
		},
	}

	svc := &extras.Service{
		TaxType:       &extras.Service_TaxTypeValue{TaxTypeValue: extras.TaxType_TAX_TYPE_VAT},
		TaxPercentage: &extras.Service_TaxPercentageValue{TaxPercentageValue: 20},
	}

	for name, test := range cases {
		t.Run(name, func(t *testing.T) {
			price := model.GetMonthlyDepositPayment(&test.model)
			service := extras.ServicePriceSnapshot(svc, price)
			got := M3(price, service.GetTaxAmount())
			if !reflect.DeepEqual(test.want, got) {
				t.Fatalf("expected: %v, got: %v", test.want, got)
			}
		})
	}
}
