package rto

import (
	"time"

	api "gitlab.mashroom.com/mashroom/backend/offer/api/rto"

	"google.golang.org/protobuf/types/known/timestamppb"
)

type Conditions struct {
	MoveInDate                    time.Time `bson:"movein_date"`
	EndDate                       time.Time `bson:"end_date"`
	Price                         float64   `bson:"price"`
	TermMonths                    uint32    `bson:"term_months"`
	RentPaymentDay                uint32    `bson:"rent_payment_day"`
	PaymentFrequency              uint32    `bson:"payment_frequency"`
	IsPaymentDayWasLastDayInMonth bool      `bson:"is_payment_day_was_last_day_in_month"`
}

func CreateApiConditions(conditions *Conditions) *api.Conditions {
	if conditions != nil {
		return &api.Conditions{
			Price:                         conditions.Price,
			TermMonths:                    conditions.TermMonths,
			MoveInDate:                    timestamppb.New(conditions.MoveInDate),
			RentPaymentDay:                conditions.RentPaymentDay,
			PaymentFrequency:              conditions.PaymentFrequency,
			IsPaymentDayWasLastDayInMonth: conditions.IsPaymentDayWasLastDayInMonth,
			EndDate:                       timestamppb.New(conditions.EndDate),
		}
	}

	return nil
}
