package rto

import (
	account "gitlab.mashroom.com/mashroom/backend/account/api"
	api "gitlab.mashroom.com/mashroom/backend/offer/api/rto"
	"gitlab.mashroom.com/mashroom/backend/offer/model"
)

type Landlord struct {
	User           string `bson:"user"`
	FirstName      string `bson:"first_name"`
	LastName       string `bson:"last_name"`
	EmailPrimary   string `bson:"email_primary"`
	PhonePrimary   string `bson:"phone_primary"`
	BillingAddress string `bson:"billing_address"`
}

func CreateLandlord(id string, account *account.Account) *Landlord {
	var landlord *Landlord
	if id != "" {
		landlord = &Landlord{
			User:           id,
			FirstName:      account.GetDetailsValue().GetFirstNameValue(),
			LastName:       account.GetDetailsValue().GetLastNameValue(),
			EmailPrimary:   account.GetContactValue().GetEmailPrimaryValue(),
			PhonePrimary:   account.GetContactValue().GetPhonePrimaryValue(),
			BillingAddress: model.GetBillingAddressFromLocation(account.GetLocationValue()),
		}
	}

	return landlord
}

func CreateApiLandlord(landlord *Landlord) *api.Landlord {
	if landlord != nil {
		return &api.Landlord{
			User:           landlord.User,
			FirstName:      landlord.FirstName,
			LastName:       landlord.LastName,
			EmailPrimary:   landlord.EmailPrimary,
			PhonePrimary:   landlord.PhonePrimary,
			BillingAddress: landlord.BillingAddress,
		}
	}

	return nil
}
