package rto

import "time"

type NotificationType string

const (
	NotificationPendingSetupOneDay                  NotificationType = "pending_setup_one_day"
	NotificationPendingSetupTwoDays                 NotificationType = "pending_setup_two_days"
	NotificationWaitingForStandingOrderSetupOneDay  NotificationType = "waiting_for_standing_order_setup_one_day"
	NotificationWaitingForStandingOrderSetupTwoDays NotificationType = "waiting_for_standing_order_setup_two_days"
	NotificationEndOfTenancyDateBeforeTwoMonths     NotificationType = "end_of_tenancy_date_before_two_months"
)

type Notifications map[NotificationType]time.Time

func (rn Notifications) IsSent(notificationType NotificationType) bool {
	notifiedAt, ok := rn[notificationType]

	return ok && notifiedAt.IsZero()
}
