package service

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/app/domain/rto"
)

type CanUserReadRtoRequest struct {
	Rto    *rto.Rto
	UserID string
}

func (currr *CanUserReadRtoRequest) Validate() error {
	if currr.Rto == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto")
	}
	if currr.UserID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "user_id")
	}

	return nil
}
