package daemon

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/app/domain/rto"
)

type SendRemindAboutPendingSetupRequest struct {
	NotificationType rto.NotificationType
	DateColumnName   rto.DateColumnName
	DateSubHours     int
	DateFromHours    int32
	DateToHours      int32
}

func (srapsr *SendRemindAboutPendingSetupRequest) Validate() error {
	if srapsr.NotificationType == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "notification_type")
	}
	if srapsr.DateFromHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_from_hours")
	}
	if srapsr.DateToHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_to_hours")
	}
	if srapsr.DateSubHours == 0 {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_sub_hours")
	}
	if srapsr.DateColumnName == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "date_column_name")
	}

	return nil
}
