package service

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type SendWaitingForFirstRentPaymentRequest struct {
	LandlordID string
	PropertyID string
}

func (swffrpr *SendWaitingForFirstRentPaymentRequest) Validate() error {
	if swffrpr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if swffrpr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
