package service

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type SendWaitingForStandingOrderSetupRequest struct {
	ID         string
	LandlordID string
	TenantID   string
	PropertyID string
}

func (stwfsosr *SendWaitingForStandingOrderSetupRequest) Validate() error {
	if stwfsosr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if stwfsosr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if stwfsosr.TenantID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "tenant_id")
	}
	if stwfsosr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
