package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type AnswerFromTenantRequest struct {
	ID       string
	TenantID string
	Accept   bool
}

func (aftr *AnswerFromTenantRequest) Validate() error {
	if aftr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if aftr.TenantID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "tenant_id")
	}

	return nil
}
