package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/api/rto"
)

type CreateRequest struct {
	LandlordID string
	PropertyID string
	RentPlan   rto.RentPlan
}

func (cr *CreateRequest) Validate() error {
	if cr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if cr.RentPlan == rto.RentPlan_RENT_PLAN_UNKNOWN {
		return fmt.Errorf("bad rent_plan value: %s", cr.RentPlan)
	}
	if cr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
