package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/api/rto"
)

type CreateByGuestRequest struct {
	PropertyID string
	RentPlan   rto.RentPlan
}

func (cbgr *CreateByGuestRequest) Validate() error {
	if cbgr.RentPlan == rto.RentPlan_RENT_PLAN_UNKNOWN {
		return fmt.Errorf("bad rent_plan value: %s", cbgr.RentPlan)
	}
	if cbgr.PropertyID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "property_id")
	}

	return nil
}
