package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type CreateInvoiceRequest struct {
	ID         string
	LandlordID string
}

func (cir *CreateInvoiceRequest) Validate() error {
	if cir.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if cir.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
