package usecase

import (
	"fmt"
	"time"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type RenewalRequest struct {
	EndDate    time.Time
	ID         string
	LandlordID string
}

func (rr *RenewalRequest) Validate() error {
	if rr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if rr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
