package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/api/rto"
)

type UpdateStateRequest struct {
	ID         string
	LandlordID string
	State      rto.RtoState
}

func (usr *UpdateStateRequest) Validate() error {
	if usr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if usr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}
	if usr.State == rto.RtoState_RTO_STATE_UNKNOWN {
		return fmt.Errorf("bad state value: %s", usr.State)
	}

	return nil
}
