package service

import (
	"context"

	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
)

type ExtrasService interface {
	GetServicePriceSnapshot(ctx context.Context, code extras.ProductCode,
		price float64) (*extras.ServiceSnapshot, error)
}

type extrasService struct {
	extrasServiceClient extras.ExtrasServiceClient
}

func NewExtrasService(extrasServiceClient extras.ExtrasServiceClient) ExtrasService {
	return &extrasService{
		extrasServiceClient: extrasServiceClient,
	}
}

func (es *extrasService) GetServicePriceSnapshot(ctx context.Context,
	code extras.ProductCode, price float64) (*extras.ServiceSnapshot, error) {
	return extras.GetServicePriceSnapshot(ctx, es.extrasServiceClient, code, price)
}
