package hourly

import (
	"context"

	"gitlab.mashroom.com/mashroom/backend/common/generic/log"
	offer "gitlab.mashroom.com/mashroom/backend/offer/api"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/status"
	"gitlab.mashroom.com/mashroom/backend/offer/model"
)

func consumeReminderHourlyRelisting(ctx context.Context) error {
	ms, err := model.GetOffersAwaitingTermination(ctx)
	if err != nil {
		return err
	}

	for _, m := range ms {
		if !status.TenancyTerminated(ctx, m.AwaitingTermination) {
			continue
		}

		err = status.SetOfferState(ctx, m, offer.OfferState_SIGNED)
		if err != nil {
			log.WithError(err).WithField("offer", m.ID.Hex()).Error("transitioning offer status to signed")
		}
	}

	return nil
}
